Bug 20718 - can't read all of an iso9660 volume
Summary: can't read all of an iso9660 volume
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-12 12:16 UTC by darkeye
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-04 14:23:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description darkeye 2000-11-12 12:16:49 UTC
Hi,

I upgraded my system from RedHat 6.2 to 7.0 recently. Among many, I have
the following problem.
One some CDs, I can't read all of the contents of the CD. This is the case
for instance with the SimCity 3000 Unlimited CD for Linux, where I can't
read the executable files under bin/x86/glibc-2.1. Here is what I get:

[root@destroy /cdwr]# ls -l /mnt/cdrom/bin/x86/glibc-2.1/
total 13423
dr-xr-xr-x    2 root     root         6144 Aug 12 03:26 lib
-r-xr-xr-x    1 root     root      6910500 Aug 12 03:25 sc3bat
-r-xr-xr-x    1 root     root      6798217 Aug 22 20:56 sc3u
[root@destroy /cdwr]# file /mnt/cdrom/bin/x86/glibc-2.1/sc3u 
/mnt/cdrom/bin/x86/glibc-2.1/sc3u: file: read failed (Input/output error).


First I though maybe the disk itself is bad, or the CD drive has problems.
But I can read up the whole CD image with dd without any problems, mount it
via the loop device, and still get the same error. Needless to say, the CD
can be read without problems on a RedHat 6.2 machine.

Comment 1 Bernhard Rosenkraenzer 2000-11-14 16:29:08 UTC
Works for me...

By any chance, did you do something odd like ejecting the CD while it was mounted, then remounting it? Or running magicdev and autorun at the same time? Oddities like that WILL cause corrupted listings.

Comment 2 darkeye 2000-11-14 23:08:19 UTC
No, I didn't do anything funny. What other info could I give you?

Comment 3 Bernhard Rosenkraenzer 2001-01-04 14:23:13 UTC
Are you running magicdev or autorun or neither?


Comment 4 Bernhard Rosenkraenzer 2001-03-06 13:50:14 UTC
Closing due to inactivity



Note You need to log in before you can comment on or make changes to this bug.